package com.hfkj.service.goods.impl;

import com.hfkj.dao.BsOrderMemberMapper;
import com.hfkj.entity.BsOrderMember;
import com.hfkj.service.goods.BsOrderMemberService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Collections;
import java.util.List;
import java.util.Map;

@Service("bsOrderMemberService")
public class BsOrderMemberServiceImpl implements BsOrderMemberService {

    @Resource
    private BsOrderMemberMapper bsOrderMemberMapper;

    @Override
    public void create(BsOrderMember orderMember) {
        bsOrderMemberMapper.insert(orderMember);
    }

    @Override
    public void update(BsOrderMember orderMember) {
        bsOrderMemberMapper.updateByPrimaryKey(orderMember);
    }

    @Override
    public void delete(Long id, Boolean fullDelete) {
        bsOrderMemberMapper.deleteByPrimaryKey(id);
    }

    @Override
    public BsOrderMember queryDetail(Long id) {
        return bsOrderMemberMapper.selectByPrimaryKey(id);
    }

    @Override
    public BsOrderMember findGoodsOrder(String orderNo) {
        return null;
    }

    @Override
    public BsOrderMember queryDetailByMap(Map<String, Object> map) {
        return null;
    }

    @Override
    public List<BsOrderMember> getList(Map<String, Object> map) {
        return Collections.emptyList();
    }
}
